gnutls_privkey_derive_secret(3)

NAME
gnutls_privkey_derive_secret - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_derive_secret(gnutls_privkey_t privkey, gnutls_pubkey_t pubkey, const gnutls_datum_t * nonce, gnutls_datum_t * secret, unsigned int flags);

ARGUMENTS

gnutls_privkey_t privkey
    a private key of type gnutls_privkey_t

gnutls_pubkey_t pubkey
    a public key of type gnutls_pubkey_t

const gnutls_datum_t * nonce
    an optional nonce value

gnutls_datum_t * secret
    where shared secret will be stored

unsigned int flags
    must be zero

DESCRIPTION
This function will calculate a shared secret from our privkey and peer's pubkey . The result will be stored in secret , whose data member should be freed after use using gnutls_free(). privkey and
 pubkey must be backed by the X.509 keys.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.8.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/